!macro NSISPGPatchFile PATCHDATA SOURCEFILE TEMPFILE
  InitPluginsDir
  File "/oname=$PLUGINSDIR\${TEMPFILE}.patchFile" "${PATCHDATA}"
  vpatch::vpatchfile "$PLUGINSDIR\${TEMPFILE}.patchFile" "${SOURCEFILE}" "${TEMPFILE}"
  Pop $1
  DetailPrint $1
  StrCpy $1 $1 2
  StrCmp $1 "OK" +2
  SetErrors
  IfFileExists "${TEMPFILE}" +1 +3
  Delete "${SOURCEFILE}"
  Rename /REBOOTOK "${TEMPFILE}" "${SOURCEFILE}"
  Delete "$PLUGINSDIR\${TEMPFILE}.patchFile"
!macroend

Function patchDirectoriesRemoved
  RMDir /r "${PATCH_INSTALL_ROOT}\dir1"
  RMDir /r "${PATCH_INSTALL_ROOT}\dir2"
  RMDir /r "${PATCH_INSTALL_ROOT}\dir2\dir3"
  RMDir /r "${PATCH_INSTALL_ROOT}\dir2\dir3\dir4"
FunctionEnd

