!macro NSISPGPatchFile PATCHDATA SOURCEFILE TEMPFILE
  InitPluginsDir
  File "/oname=$PLUGINSDIR\${TEMPFILE}.patchFile" "${PATCHDATA}"
  vpatch::vpatchfile "$PLUGINSDIR\${TEMPFILE}.patchFile" "${SOURCEFILE}" "${TEMPFILE}"
  Pop $1
  DetailPrint $1
  StrCpy $1 $1 2
  StrCmp $1 "OK" +2
  SetErrors
  IfFileExists "${TEMPFILE}" +1 +3
  Delete "${SOURCEFILE}"
  Rename /REBOOTOK "${TEMPFILE}" "${SOURCEFILE}"
  Delete "$PLUGINSDIR\${TEMPFILE}.patchFile"
!macroend

Function patchFilesAdded
  SetOutPath "${PATCH_INSTALL_ROOT}"
  File "${PATCH_SOURCE_ROOT}\file1.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}"
  File "${PATCH_SOURCE_ROOT}\file2.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}\directory1"
  File "${PATCH_SOURCE_ROOT}\directory1\file3.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}\directory1\directory2"
  File "${PATCH_SOURCE_ROOT}\directory1\directory2\file4.txt"
FunctionEnd

