;!define USEPASSWORD
!define OUTFILE_NAME "GoldenEye_Source_v4.2.3_patch"

!define PRODUCT_VERSION "v4.2.3"
;This is the name of the game defined in gameinfo.txt
;Remove all colons from this (as well as any other invalid char in a file name)
!define LOCALDIR "D:\GES Build"
;This value should be set depending on the PC this will be compiled under
!define PATCH_SOURCE_ROOT "${LOCALDIR}\4.2.3\"
!define PATCH_FILES_ROOT "${LOCALDIR}\4.2.3_patch\"
!define PATCH_INSTALL_ROOT "$INSTDIR\gesource"
; Patch file definitions


!include "ges_common.nsh"
!include "patch_files.nsh"

Section "Install v4.2.3 Patch" FILES
    SetOverwrite ifdiff
    SetOutPath "$INSTDIR"
    
    Call patchFilesRemoved
    Call patchDirectoriesRemoved
    Call patchDirectoriesAdded
    Call patchFilesAdded
    Call patchFilesModified
    Call GESErrorResponse
    
    IfFileExists "$INSTDIR\gamestate.txt" 0 +2
    CopyFiles "$INSTDIR\gamestate.txt" "$INSTDIR\gesource\gamestate.txt"
    Delete "$INSTDIR\gamestate.txt"
    
    Call GESUninstaller
    Call GESShortcut
SectionEnd

Function .onInit
    Call GESFindInstallPath

    SectionSetFlags ${SHORTCUT} 0
    SectionSetFlags ${FILES} 17
    SectionSetFlags ${BUA} 1
    
IfFileExists $INSTDIR\gesource +3 0
   MessageBox MB_OK "This installer requires that GoldenEye: Source v4.2.1 be installed. You have to use the full installer!"
   Abort

FunctionEnd
