/*

nsisPatchGen
Copyright (C) 2006  Vibration Technology Ltd. ( http://www.vibtech.co.uk )

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/
#ifndef PATCH_GENERATOR_TEST_H
#define PATCH_GENERATOR_TEST_H
#pragma once

#include "StartExternals.h"
#include <QObject>
#include "StopExternals.h"

#include "UseCppUnit.h"

class PatchGeneratorTest : public QObject, public CppUnit::TestFixture
{
	Q_OBJECT;
	CPPUNIT_TEST_SUITE( PatchGeneratorTest );
	CPPUNIT_TEST( testConstructor );
	CPPUNIT_TEST( testCreatePatchFile );
	CPPUNIT_TEST( testCreatePatchFileFailures );

	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();
	void testConstructor();
	void testCreatePatchFile();
	void testCreatePatchFileFailures();
};


#endif // PATCH_GENERATOR_TEST_H