/*

nsisPatchGen
Copyright (C) 2006  Vibration Technology Ltd. ( http://www.vibtech.co.uk )

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/

#include "StartExternals.h"
#include <QCoreApplication>
#include <QApplication>
#include <QStringList>
#include "StopExternals.h"

#include "UseCppUnit.h"


// defined below
void setUp( );
void tearDown( );
void usage( const QString& error, const QStringList& args );
void waitAtEnd( );


int main(int argc, char* argv[])
{
	QApplication app(argc, argv);

	// Get the top level suite from the registry
	CppUnit::Test *suite = CppUnit::TestFactoryRegistry::getRegistry().makeTest();

	// Adds the test to the list of test to run
	QxCppUnit::TestRunner runner;
	runner.addTest( suite );

	// Run the tests.
	runner.run();

	return 0;
}


