;!define USEPASSWORD
!define OUTFILE_NAME "GoldenEye_Source_v4.2.4_full"

!define PRODUCT_VERSION "v4.2.4"
;This is the name of the game defined in gameinfo.txt
;Remove all colons from this (as well as any other invalid char in a file name)
!define LOCALDIR "D:\GES Build"

!include "ges_common.nsh"

;Uncomment this if you want to use ZipDLL
;The zip file should be in the LOCALDIR for this
!define ZIPDLL
!include "zipdll.nsh"

SetCompress off

Section "Install v4.2.4" FILES
    RMDir /r $INSTDIR\gesource
    
    SetOverwrite ifdiff
    SetOutPath "$INSTDIR"

    File "${LOCALDIR}\${MODDIR}.7z"
    Nsis7z::Extract "${MODDIR}.7z"
    Delete "${MODDIR}.7z"
    
    IfFileExists "$INSTDIR\gamestate.txt" 0 +2
      CopyFiles "$INSTDIR\gamestate.txt" "$INSTDIR\gesource\gamestate.txt"
      Delete "$INSTDIR\gamestate.txt"

    Call GESUninstaller
    Call GESShortcut
SectionEnd

Function .onInit
    Call GESFindInstallPath

    SectionSetFlags ${SHORTCUT} 0
    SectionSetFlags ${FILES} 17
    SectionSetFlags ${BUA} 1

IfFileExists $INSTDIR\gesource 0 +3
   MessageBox MB_YESNO "This installer will delete ALL FILES you currently have for GoldenEye: Source, including custom maps and sounds! Are you sure you want to continue?" IDYES doinstall
   Abort

doinstall:
FunctionEnd
